package cn.reghao.oss.store.db.mapper;

import cn.reghao.oss.store.model.po.ImageFile;
import cn.reghao.oss.store.model.vo.ImageObject;
import cn.reghao.jutil.jdk.db.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Set;

/**
 * @author reghao
 * @date 2021-12-08 14:41:35
 */
@Mapper
public interface ImageFileMapper extends BaseMapper<ImageFile> {
    void deleteByImageFileId(String imageFileId);
    void deleteByImageFileIds(List<String> list);

    List<ImageFile> findByImageFileId(String imageFileId);
    List<ImageFile> findByImageFileIds(Set<String> list);
    List<ImageObject> findAll1();
}
